Foxit PDF SDK

Public Member Functions | Properties | List of all members
foxit.common.fxcrt.PointF Class Reference

Type definition for point class for float. More...

Inherits SystemIDisposable.

## Public Member Functions
| PointF ()
| Constructor.
| PointF (float new_x, float new_y)
| Constructor, with parameters. More...
void | Add (float x, float y)
| Add a point. More...
void | Reset ()
| Reset to the base point. More...
void | Set (float x, float y)
| Set values. More...
void | Set (PointF psv)
| Set values. More...
void | Subtract (float x, float y)
| Subtract a point. More...

## Properties
float | x`[get, set]`
| x coordinate of the point.
float | y`[get, set]`
| y coordinate of the point.

## Detailed Description

Type definition for point class for float.

## Constructor & Destructor Documentation

## ◆ PointF()

foxit.common.fxcrt.PointF.PointF | ( | float | new_x,
|  | float | new_y
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | new_x | New value for x.
  [in] | new_y | New value for y.

## Member Function Documentation

## ◆ Add()

void foxit.common.fxcrt.PointF.Add | ( | float | x,
|  | float | y
| ) |  |
| inline

Add a point.

Parameters

  [in] | x | x coordinate of the subtrahend point.
  [in] | y | x coordinate of the subtrahend point.

Returns
  None.

## ◆ Reset()

void foxit.common.fxcrt.PointF.Reset | ( |  | ) |
| inline

Reset to the base point.

Returns
  None.

## ◆ Set() [1/2]

void foxit.common.fxcrt.PointF.Set | ( | float | x,
|  | float | y
| ) |  |
| inline

Set values.

Parameters

  [in] | x | Value for x.
  [in] | y | Value for y.

Returns
  None.

## ◆ Set() [2/2]

void foxit.common.fxcrt.PointF.Set | ( | PointF | psv | ) |
| inline

Set values.

Parameters

  [in] | psv | Another value object.

Returns
  None.

## ◆ Subtract()

void foxit.common.fxcrt.PointF.Subtract | ( | float | x,
|  | float | y
| ) |  |
| inline

Subtract a point.

Parameters

  [in] | x | x coordinate of the addend point.
  [in] | y | x coordinate of the addend point.

Returns
  None.